summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--games-arcade/clonekeenplus/ChangeLog11
-rw-r--r--games-arcade/clonekeenplus/Manifest5
-rw-r--r--games-arcade/clonekeenplus/clonekeenplus-9999.ebuild89
-rw-r--r--games-arcade/clonekeenplus/files/cmake.patch33
-rw-r--r--games-arcade/clonekeenplus/files/findfile.patch20
-rw-r--r--games-arcade/clonekeenplus/metadata.xml10
6 files changed, 168 insertions, 0 deletions
diff --git a/games-arcade/clonekeenplus/ChangeLog b/games-arcade/clonekeenplus/ChangeLog
new file mode 100644
index 000000000..88e58ba51
--- /dev/null
+++ b/games-arcade/clonekeenplus/ChangeLog
@@ -0,0 +1,11 @@
+# ChangeLog for games-arcade/clonekeenplus
+# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+*clonekeenplus-9999 (09 Apr 2012)
+
+ 09 Apr 2012; hasufell <julian.ospald@googlemail.com>
+ +clonekeenplus-9999.ebuild, +files/cmake.patch, +files/findfile.patch,
+ +metadata.xml:
+ New Ebuild for bug 411385 thanks to floppym
+
diff --git a/games-arcade/clonekeenplus/Manifest b/games-arcade/clonekeenplus/Manifest
new file mode 100644
index 000000000..b9fe0d105
--- /dev/null
+++ b/games-arcade/clonekeenplus/Manifest
@@ -0,0 +1,5 @@
+AUX cmake.patch 926 RMD160 30a4d989b365d7b95c573e6e0fc4cd8e93baf465 SHA1 aab32ab9eb1c7312f36c5e409573b04ed4120914 SHA256 5c6d9b61a80ba305ef20fa4e5a688df939aeb74eaf7b5d0e1cacdb5e2d183c2d
+AUX findfile.patch 980 RMD160 f6daa873f3a3a05f3ac9dadc4ae7cfdfd77e55a4 SHA1 86840daca6b290c61f3fdd552cf4742ce2eea895 SHA256 6ba3c3786e15e3427b739539552be0f45cd8d9699f44b53bd760c6f7f14591d9
+EBUILD clonekeenplus-9999.ebuild 1799 RMD160 a6cb6d3585bd0aed224dcbc23659104a5748afbd SHA1 3b8e9434dbb3a2569b097b9ca2e33f8fcaef4aea SHA256 f6f6d320e7e8af9cd9bba65d902c91b5f741aba9eb2e7529fb3ecf18e68452c2
+MISC ChangeLog 354 RMD160 fd77228c8769021a1ad4c8e2be448b9f293abf18 SHA1 04fa7f112b9ff79fb0c4efb35f8470ce06691b25 SHA256 d0f155dada8c889e8a3bdf17d78fc6eb2fdc8191abf4a526014f9b9c2df9b4d4
+MISC metadata.xml 297 RMD160 9cd9394b72e6d47c14a16503913ae15b876974bb SHA1 3b901e9528fcea9245ba178d6e9a91027a04c955 SHA256 50df11965bec86fb7f1b26cfd5a46f1fe8c27442996a6256af8a01f60bc7becf
diff --git a/games-arcade/clonekeenplus/clonekeenplus-9999.ebuild b/games-arcade/clonekeenplus/clonekeenplus-9999.ebuild
new file mode 100644
index 000000000..ac87feb1e
--- /dev/null
+++ b/games-arcade/clonekeenplus/clonekeenplus-9999.ebuild
@@ -0,0 +1,89 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=3
+
+EGIT_REPO_URI="git://${PN}.git.sourceforge.net/gitroot/${PN}/${PN}"
+
+inherit cmake-utils eutils git-2 toolchain-funcs games
+
+DESCRIPTION="Open Source Commander Keen clone"
+HOMEPAGE="http://clonekeenplus.sourceforge.ne"
+
+LICENSE="|| ( GPL-1 GPL-2 GPL-3 )
+ LGPL-2"
+SLOT="0"
+KEYWORDS=""
+IUSE="tremor"
+
+RDEPEND="media-libs/libogg
+ media-libs/libsdl[X,audio,opengl,video]
+ virtual/opengl
+ x11-libs/libX11
+ x11-libs/libXau
+ x11-libs/libXdmcp
+ x11-libs/libXext
+ x11-libs/libxcb
+ !tremor? ( media-libs/libvorbis )
+ tremor? ( media-libs/tremor )"
+DEPEND="${RDEPEND}
+ dev-util/pkgconfig"
+
+CMAKE_IN_SOURCE_BUILD=1
+
+src_prepare() {
+ epatch "${FILESDIR}"/{cmake,findfile}.patch
+
+ sed \
+ -e "/SYSTEM_DATA_DIR/s#/usr/share#${GAMES_DATADIR}#" \
+ -i src/FindFile.h || die
+}
+
+src_configure() {
+ local mycmakeargs arch
+ arch=$(tc-arch)
+
+ case $arch in
+ amd64)
+ mycmakeargs=(
+ -DBUILD_TYPE=LINUX64
+ -DHAVE_64_BIT=1
+ )
+ ;;
+ x86)
+ mycmakeargs=(
+ -DBUILD_TYPE=LINUX32
+ -DHAVE_64_BIT=0
+ )
+ ;;
+ *)
+ die "unsopported architecture"
+ ;;
+ esac
+
+ mycmakeargs+=(
+ -DAPPDIR="${GAMES_BINDIR}"
+ -DSHAREDIR="${GAMES_DATADIR}"/CommanderGenius
+ -DDOCDIR="/usr/share/${PF}/doc"
+ $(cmake-utils_use !tremor OGG)
+ $(cmake-utils_use tremor TREMOR)
+ )
+
+ cmake-utils_src_configure
+}
+
+src_install() {
+ mv vfsroot/cglogo512.png ${PN}.png || die
+ cmake-utils_src_install
+ doicon ${PN}.png || die
+ make_desktop_entry CGenius ${PN} ${PN}
+ prepgamesdirs
+}
+
+pkg_postinst() {
+ games_pkg_postinst
+ elog "Check your settings in ~/.CommanderGenius/cgenius.cfg"
+ elog "after you have first started the game. You may need to"
+ elog "set \"OpenGL = true\" and adjust other settings."
+}
diff --git a/games-arcade/clonekeenplus/files/cmake.patch b/games-arcade/clonekeenplus/files/cmake.patch
new file mode 100644
index 000000000..9a0f31766
--- /dev/null
+++ b/games-arcade/clonekeenplus/files/cmake.patch
@@ -0,0 +1,33 @@
+--- install.cmake
++++ install.cmake
+@@ -2,11 +2,12 @@
+ ############### Prepare the installation of the compiled stuff here!
+
+ IF(BUILD_TYPE STREQUAL WIN32)
+-SET(SHAREDIR CGenius)
+-SET(APPDIR CGenius)
++SET(SHAREDIR CGenius CACHE PATH "")
++SET(APPDIR CGenius CACHE PATH "")
+ ELSE(BUILD_TYPE STREQUAL WIN32)
+-SET(SHAREDIR share/CommanderGenius)
+-SET(APPDIR games)
++SET(SHAREDIR share/CommanderGenius CACHE PATH "")
++SET(APPDIR games CACHE PATH "")
++SET(DOCDIR ${SHAREDIR} CACHE PATH "")
+ ENDIF(BUILD_TYPE STREQUAL WIN32)
+
+ # This will install the application itself
+@@ -19,11 +20,11 @@
+
+ # This will copy the readme file.
+ INSTALL(FILES readme.txt
+- DESTINATION ${SHAREDIR})
++ DESTINATION ${DOCDIR})
+
+ # This will copy the readme file.
+ INSTALL(FILES changelog.txt
+- DESTINATION ${SHAREDIR})
++ DESTINATION ${DOCDIR})
+
+ # Windows might not have those dlls so we ship them with the packages
+ IF(BUILD_TYPE STREQUAL WIN32)
diff --git a/games-arcade/clonekeenplus/files/findfile.patch b/games-arcade/clonekeenplus/files/findfile.patch
new file mode 100644
index 000000000..332eed944
--- /dev/null
+++ b/games-arcade/clonekeenplus/files/findfile.patch
@@ -0,0 +1,20 @@
+--- src/FindFile.cpp
++++ src/FindFile.cpp
+@@ -485,7 +485,7 @@
+ AddToFileList(&basesearchpaths, "${HOME}/Library/Application Support/Commander Genius");
+ AddToFileList(&basesearchpaths, ".");
+ AddToFileList(&basesearchpaths, "${BIN}/../Resources");
+- AddToFileList(&basesearchpaths, SYSTEM_DATA_DIR"/commandergenius");
++ AddToFileList(&basesearchpaths, SYSTEM_DATA_DIR"/CommanderGenius");
+ #elif defined(WIN32)
+ AddToFileList(&basesearchpaths, "${HOME}/Commander Genius");
+ AddToFileList(&basesearchpaths, ".");
+@@ -497,7 +497,7 @@
+ AddToFileList(&basesearchpaths, "${HOME}/.CommanderGenius");
+ #endif
+ AddToFileList(&basesearchpaths, ".");
+- AddToFileList(&basesearchpaths, SYSTEM_DATA_DIR"/commandergenius"); // no use of ${SYSTEM_DATA}, because it is uncommon and could cause confusion to the user
++ AddToFileList(&basesearchpaths, SYSTEM_DATA_DIR"/CommanderGenius"); // no use of ${SYSTEM_DATA}, because it is uncommon and could cause confusion to the user
+ #endif
+ }
+
diff --git a/games-arcade/clonekeenplus/metadata.xml b/games-arcade/clonekeenplus/metadata.xml
new file mode 100644
index 000000000..d91c51da9
--- /dev/null
+++ b/games-arcade/clonekeenplus/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>maintainer-wanted@gentoo.org</email>
+ </maintainer>
+ <use>
+ <flag name="tremor">Use media-libs/tremor as audio decoder</flag>
+ </use>
+</pkgmetadata>